6.0.0-git
2019-07-21

[#9043] Xinha javascript alert in Horde
Summary Xinha javascript alert in Horde
Queue Horde Base
Queue Version 3.3.8
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester paul_j (at) inbox (dot) lv
Created 2010-05-18 (3351 days ago)
Due 05/19/2010 (3350 days ago)
Updated 2010-05-25 (3344 days ago)
Assigned 2010-05-18 (3351 days ago)
Resolved 2010-05-25 (3344 days ago)
Milestone
Patch No

History
2010-05-25 19:54:58 Jan Schneider Comment #12
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Thanks for the hint!
2010-05-25 19:54:11 Jan Schneider Version ⇒ 3.3.8
Queue ⇒ Horde Base
 
2010-05-25 17:52:08 paul_j (at) inbox (dot) lv Comment #10 Reply to this comment
The alert is gone after chnaging the .js file encoding to UTF-8.

2010-05-25 17:15:54 paul_j (at) inbox (dot) lv Comment #9 Reply to this comment
That doesn't match the original error message that you posted.
Yes. you are right. A big mistake of mine. Sorry.

In fact the error is:

Error reading Language-File (/services/editor/xinha/lang/lv.js)
function Error () { [native code] }

Waht is the reason for such error?
2010-05-25 17:04:16 Jan Schneider Comment #8 Reply to this comment
That doesn't match the original error message that you posted.
2010-05-25 16:55:03 paul_j (at) inbox (dot) lv Comment #7 Reply to this comment
Horde Groupware Webmail Edition 1.2.6

./horde-webmail-latest.tar
./services/editor/xinha/src/XinhaCore.js
./services/editor/xinha/XinhaCore.js

These files have the following line of code:

....Xinha._geturlcontent(url);if(_233!==""){try{eval("lang = 
"+_233)}catch(ex){alert("Error reading Language-File 
("+url+"):\n"+Error.toString());lang={}}}......
2010-05-19 20:57:15 Jan Schneider Comment #6 Reply to this comment
Well, like I said, this error string doesn't even exist in Xinha. You 
must have a messed up installation, or pointing your browser to an 
older version.
2010-05-19 19:50:05 paul_j (at) inbox (dot) lv Comment #5 Reply to this comment
Just to add- the alert comes out only in Internet Explorer
2010-05-19 19:48:25 paul_j (at) inbox (dot) lv Comment #4 Reply to this comment
Instaled Horde Groupware Webmail Edition 1.2.6, and the problem persists.
2010-05-19 06:45:12 paul_j (at) inbox (dot) lv Comment #3 Reply to this comment
Which Horde version do you use? There is no such error string in 
Xinha shipped with any recent Horde version.
I use 4.3.5. Will try to update to the latest version.
2010-05-18 21:04:47 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Which Horde version do you use? There is no such error string in Xinha 
shipped with any recent Horde version.
2010-05-18 19:13:20 paul_j (at) inbox (dot) lv Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Xinha javascript alert in Horde
Due ⇒ 2010-05-19
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello.

When trying to compose anew message in IE, I got the alert message:

Error loading Language-File (/services/editor/xinha/lang/lv.js)
Function Error () {native code}

In 2008 year this problem was raised but not resolved as it seems.
Any suggestions?

Saved Queries